﻿@model FashionDesign.fashion_article_details

@{
    ViewBag.Title = "ArticleDetails";
}
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">

        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.Label("Article Name", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.article_name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.article_name, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="col-lg-12 col-md-12 col-sm-12">
            <div class="row">
                <div class="col-lg-6 col-md-6 col-sm-6">
                    <label class="label-middle">Image</label>
                </div>
                <div class="col-lg-8 col-md-8 col-sm-8">
                    <div class="form-group">
                        <div class="MainAdd_img">
                            <span>
                                <img src="" id="ArticleImage" />
                            </span>
                        </div>
                    </div>
                </div>
                <div class="col-lg-10 col-md-10 col-sm-10 margin-top20">
                    <a class="file-input-wrapper btn btn-browse">
                        <span> Browse</span>
                        <input type="file" title="Browse" class="btn-primary multiple" id="ArticleImage_Name" name="ArticleImage_Name" value="" onchange="setPreviewHomePageImage(this, 'ArticleImage');">
                        <input type="hidden" id="Hidden_ArticleImage" name="Hidden_ArticleImage" />
                    </a>
                </div>

            </div>
        </div>
        <div class="form-group">
            @Html.Label("Image", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.article_img, new { htmlAttributes = new { @class = "form-control" } })
                @*@Html.ValidationMessageFor(model => model.article_img, "", new { @class = "text-danger" })*@
            </div>
        </div>
        <div class="form-group">
            @Html.Label("Description", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.article_desc, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.article_desc, "", new { @class = "text-danger" })
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
    <script>
        function setPreviewHomePageImage(input, id) {
            var fileExtension = ["jpg", "jpeg", "png", "gif"];
            if ($.inArray($("#" + id + "_Name").val().split('.').pop().toLowerCase(), fileExtension) == -1) {
                $("#" + id + "_error").text("Only '.jpeg','.jpg','.png','.gif' formats are allowed.").fadeIn().delay(2000).fadeOut();
            }
            else {
                if (input.files && input.files[0]) {
                    var reader = new FileReader();
                    reader.onload = function (e) {
                        $('#' + id).attr('src', e.target.result);
                        $("#" + id + "_Delete").show();
                        $("#Hidden_" + id).val(input.files[0]);sss
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }
        }
    </script>
}
